| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iMeshObjectType Struct Reference
[Mesh plugins]

This plugin describes a specific type of mesh objects. More...

`#include <imesh/object.h>`

Inheritance diagram for iMeshObjectType:

[legend]
List of all members.

## Public Member Functions
virtual csPtr< iMeshObjectFactory > | NewFactory ()=0
| Create an instance of iMeshObjectFactory.

## Detailed Description

This plugin describes a specific type of mesh objects.

Through this plugin the user can create instances of mesh object factories which can then be used to create instances of mesh objects.

Main creators of instances implementing this interface:

- All mesh object plugins implement this interface.

Main ways to get pointers to this interface:

- csQueryPluginClass()
- csLoadPlugin()

Main users of this interface:

- The 3D engine plugin (crystalspace.engine.3d).

Definition at line 399 of file object.h.

## Member Function Documentation

virtual csPtr<iMeshObjectFactory> iMeshObjectType::NewFactory | ( |  | ) | `[pure virtual]`

Create an instance of iMeshObjectFactory.

Implemented in csMeshType.

The documentation for this struct was generated from the following file:

- imesh/object.h